Skip to main content
GET
/
v4
/
invoicing
/
invoiceSetup
Get invoice setup
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v4/invoicing/invoiceSetup \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "lastUpdatedDate": "2023-11-07T05:31:56Z",
  "defaultInvoiceNote": "Thank you for your business!",
  "defaultInvoiceTerm": "NET_10",
  "invoiceReminderSchedule": "ON_DUE_DATE",
  "brandColor": "#999999"
}

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

200 - application/json

Successful operation

Invoice setup object

id
string
required

id of this company setup

lastUpdatedDate
string<date-time>
defaultInvoiceNote
string

Default Invoice message, to be appended at the end of the invoice

Example:

"Thank you for your business!"

defaultInvoiceTerm
enum<string>

Default Invoice Term (i.e. how many days till the invoice is due)

Available options:
DUE_NOW,
NET_10,
NET_15,
NET_30,
NET_60,
OTHER
Example:

"NET_10"

invoiceReminderSchedule
enum<string>

Comma delimited list of Payment Reminder frequencies, to be used as the default on new invoices

Available options:
ON_DUE_DATE,
THREE_DAYS_AFTER_DUE_DATE,
EVERY_SEVEN_DAYS_AFTER_DUE_DATE,
AFTER_TWO_MINS
Example:

"ON_DUE_DATE"

brandColor
string

Brand color used for invoices (hex code)

Example:

"#999999"